# BEGIN {unshift@INC,('../..');}

use ExtUtils::MakeMaker;
# use ExtUtils::MM_Unix;
use Config;
use English;

$REVISION = '$Id: Makefile.PL,v 1.9 1999/11/12 16:17:42 eric Exp $ ';

my @programs_to_install = qw(bin/rdf_browser);
@extras = ();

push(@extras,
     CAPI => 'TRUE')
    if ($PERL_VERSION >= 5.005 and $OSNAME eq 'MSWin32'
	and $Config{archname} =~ /-object\b/i);

push(@extras,
     ABSTRACT => "RdfParser.pm",
     AUTHOR   => 'Eric Prud\'hommeaux (eric@w3.org)')
    if ($ExtUtils::MakeMaker::Version >= 5.4301);

# $Verbose = 99;
WriteMakefile(
              NAME         => 'W3C::Rdf::RdfParser',
              VERSION_FROM => 'RdfParser.pm',
              PREREQ_PM    => { W3C::SAX::XmlParser => 0.97, W3C::Util::Basekit => 0.91 },
              dist         => {COMPRESS => 'gzip', SUFFIX => '.gz'},
	      EXE_FILES    => [ @programs_to_install ],
	      @extras
             );

